export default function IdentityCardTextBox({ info }) {
  let infoarray = [];
  let infodict = {};
  if (info) {
    infoarray = info.split("\n");
    infoarray = infoarray.slice(0, infoarray.length - 1);
    infodict = Object.assign({}, infoarray);
  }
  return (
    <div className="p-4 text-center text-md sm:text-lg ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue">
      {Object.keys(infodict).map((i) => (
        <p className="overflow-auto" key={i}>
          {infodict[i] == "" ? <br /> : infodict[i]}
        </p>
      ))}
    </div>
  );
}
