import Iframe from "react-iframe";

export default function KofiDonationWidget({ title, url }) {
  return (
    <div className="pb-6 flex justify-center">
      <details className="rounded-lg p-1 overflow-auto">
        <summary className="p-2 pl-4 pr-4 rounded-lg ring-2 ring-skye-werefox-grey dark:ring-skye-werefox-grey-darker text-md text-center text-skye-werefox-grey-darker dark:text-skye-werefox-grey-lighter bg-skye-werefox-blue dark:bg-skye-werefox-blue-dark transition hover:bg-skye-werefox-blue-light dark:hover:bg-skye-werefox-blue-darker">
          <strong>{title}</strong>
        </summary>
        <div className="pt-2">
          <div className="rounded-lg ring-2 ring-skye-werefox-grey dark:ring-skye-werefox-grey-darker overflow-auto">
            <Iframe
              className="rounded-lg w-96 min-w-96"
              url={url}
              height="680"
            ></Iframe>
          </div>
        </div>
      </details>
    </div>
  );
}
