import WCT from "./werefox-card-title";

export default function WerefoxCard({ title_emoji, title, children }) {
  if (Boolean(title_emoji)) {
    return (
      <div className="p-4 space-y-4 text-center text-skye-werefox-blue-dark dark:text-skye-werefox-blue rounded-lg ring-2 ring-skye-werefox-grey dark:ring-skye-werefox-grey-darker bg-skye-werefox-grey-lightest dark:bg-skye-werefox-grey-dark">
        <WCT title={title} title_emoji={title_emoji} />
        <div className="p-4 space-y-4 rounded-sm ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue">
          {children}
        </div>
      </div>
    );
  } else {
    return (
      <div className="p-4 space-y-4 text-center text-skye-werefox-blue-dark dark:text-skye-werefox-blue rounded-lg ring-2 ring-skye-werefox-grey dark:ring-skye-werefox-grey-darker bg-skye-werefox-grey-lightest dark:bg-skye-werefox-grey-dark">
        <WCT title={title} />
        <div className="p-4 space-y-4 rounded-sm ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue">
          {children}
        </div>
      </div>
    );
  }
}
