import FCard from "./faq-card";

export default function FAQBlock({ faqs }) {
  return (
    <div className="p-4 space-y-4 rounded-lg ring-2 ring-skye-werefox-grey dark:ring-skye-werefox-grey-darker bg-skye-werefox-grey-lightest dark:bg-skye-werefox-grey-dark">
      {Object.keys(faqs).map((faq) => (
        <FCard
          key={faq}
          question={faq}
          answer={faqs[faq].answer}
          src={faqs[faq].src}
          alt={faqs[faq].alt}
        />
      ))}
    </div>
  );
}
