import Head from "next/head";
import TCard from "../components/title-card";
import FCard from "../components/footer-card";

export default function HomePage({ page_title, card_title, children }) {
  return (
    <div className="min-h-screen bg-skye-werefox-grey-light dark:bg-skye-werefox-grey font-nerd">
      <Head>
        <title>{page_title}</title>
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <div className="container space-y-4 mx-auto px-4 py-4">
        <a rel="me" href="https://vulpine.club/@Shadow8t4" hidden>
          Mastodon
        </a>
        <a rel="me" href="https://masto.werefox.dev/@alexis" hidden>
          Mastodon
        </a>
        <a rel="me" href="https://masto.werefox.dev/@ada" hidden>
          Mastodon
        </a>
        <TCard card_title={card_title} />
        {children}
        <FCard />
      </div>
    </div>
  );
}
