import Link from "next/link";

export default function IdentityCardButton({ url, button_text }) {
  return (
    <div>
      <Link href={url}>
        <a target="_blank">
          <div className="p-4 hover:text-skye-werefox-pink-dark dark:hover:text-skye-werefox-pink ring-2 ring-skye-werefox-blue-dark dark:ring-skye-werefox-blue hover:ring-skye-werefox-pink-dark dark:hover:ring-skye-werefox-pink hover:animate-yip transition">
            {button_text}
          </div>
        </a>
      </Link>
    </div>
  );
}
